# workdir: /mnt/lab_data2/atwang/data/encode_scatac/test_all_8/
workdir: .

max_threads_per_rule: 1

max_barcode_dist: 1
bc_whitelist: http://mitra.stanford.edu/kundaje/atwang/encode_scatac/whitelists/737K-arc-v1.txt.gz
bc_prefix: CAGACGCG
wl_rna_orig: /mnt/lab_data2/atwang/data/cellranger-arc/cellranger-arc-2.0.0/lib/python/cellranger/barcodes/737K-arc-v1.txt.gz
wl_atac_orig: /mnt/lab_data2/atwang/data/cellranger-arc/cellranger-arc-2.0.0/lib/python/atac/barcodes/737K-arc-v1.txt.gz

assemblies:
  - cavpor3
  - mm10

genome: 
  cavpor3: /mnt/lab_data2/atwang/data/GuineaPig_Mouse_WholeHeartMultiome/refdata-cellranger-arc-cavpor3/fasta/genome.fa
  mm10: /mnt/lab_data2/atwang/data/GuineaPig_Mouse_WholeHeartMultiome/refdata-cellranger-arc-mm10-2020-A/fasta/genome.fa

ucsc_name:
  cavpor3: cavPor3
  mm10: mm10

input_dir: /mnt/lab_data2/atwang/data/GP-Mice_scATAC_raw_2/30-503176808/
input_rna_dir: /mnt/lab_data2/atwang/data/GP-Mice_scRNA_raw

cluster_bcs:
  cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_clusters/Celltype_label_GP.csv
  mm10: /mnt/lab_data2/atwang/data/gp_mouse_clusters/Celltype_label_MM.csv

cluster_ec_bcs:
  cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_clusters/EC_subtype_GP.csv
  mm10: /mnt/lab_data2/atwang/data/gp_mouse_clusters/EC_subtype_MM.csv

mito_chr:
  cavpor3: MT
  mm10: chrM

reg_chr_prefix:
  cavpor3: DS
  mm10: chr

blacklist:
  cavpor3: /mnt/lab_data2/atwang/data/blacklists/dummy.bed
  mm10: /mnt/lab_data2/atwang/data/blacklists/ENCFF547MET.bed

transform:
  cavpor3: True
  mm10: False

bsgenome_config:
  cavpor3:
    package_name: BSgenome.Cporcellus.Internal.cavPor3
    version: "1.0.0"
    organism: Cavia porcellus
    common_name: Guinea pig
    genome: cavPor3
    organism_biocview: Cavia_porcellus
    BSgenomeObjname: internal_cavPor3
  mm10:
    package_name: BSgenome.Mmusculus.Internal.mm10
    version: "1.0.0"
    organism: Mus musculus
    common_name: Mouse
    genome: mm10
    organism_biocview: Mus_musculus
    BSgenomeObjname: internal_mm10

tn5_shift_plus: 4
tn5_shift_minus: -4

gtf_data:
  cavpor3:
    path: /mnt/lab_data2/atwang/data/gene_annotations/Cavia_porcellus.Cavpor3.0.105.gtf.gz
    organism: Cavia_porcellus
    gtf_genome: Cavpor3.0
    gtf_version: 105
  mm10:
    path: /mnt/lab_data2/atwang/data/gene_annotations/Mus_musculus.GRCm38.102.chr.gtf.gz    
    organism: Mus_musculus
    gtf_genome: GRCm38
    gtf_version: 102

filter_nonstandard_chrom:
  cavpor3: False
  mm10: True

archr_seed: 8757647

annotations:
  ameen:
    orthologs:
      cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_annotations/human_gp_orthologs.tsv
      mm10: /mnt/lab_data2/atwang/data/gp_mouse_annotations/human_mouse_orthologs.tsv
    clusters: /mnt/lab_data2/atwang/data/gp_mouse_annotations/ameen_annotations.csv
  hu:
    orthologs:
      cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mouse_gp_orthologs.tsv
      mm10: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mouse_genes.tsv
    clusters: /mnt/lab_data2/atwang/data/gp_mouse_annotations/hu_annotations.csv

gene_names:
  cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_annotations/gp_gene_names.tsv
  mm10: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mouse_gene_names.tsv

seurat_seed: 8757647

ortholog_data: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mouse_gp_orthologs_named.tsv

# gene_names:
#   cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_annotations/gp_names.tsv
#   mm10: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mouse_names.tsv

plot_markers_ameen:
  # cardiomyocyte
  - Tnnt2 # +eCM, +aCM, +vCM
  - Actn2 # +eCM, +aCM, +vCM
  - Nkx2-5 # +eCM, +aCM, +vCM
  - Ttn # +eCM, +vCM
  - Hand1 # +eCM, +vCM
  - Tbx10 # +aCM
  - Nppa # +aCM
  - Myl7 # +aCM
  - Myl6
  - Gata4
  - Hand2
  - Hey1
  - Srf
  - Tbx5
  # epicardial
  - Wt1 # +CFP, -FB1, +EPC
  - Tbx18 # +CFP, +FB1, +EPC
  - Tcf21 # +CFP, +FB1, -OFT, -EPC, +preCF, +CF, -preSMC
  - Prdm6 # +OFT
  - Hoxa3 # +OFT
  - Dcn # -preCF, +CF
  - Lum # -preCF, +CF
  - Cnn1 # +FB2
  - Col9a2 # +FB2
  - Myh11 # +preSMC, +SMC
  - Pdgfrb # +preSMC, +SMC, +PC
  - Tagln # +preSMC
  - Abcc9 # +PC
  - Tfap2a # +NC
  # endocardial
  - Cdh11 # +Endo1
  - Unc5b # +aEC
  - Gja5 # +aEC
  - Car4 # Cap
  - Aplnr # Cap
  - Cd36 # Cap
  - Sele # vEC
  - Selp # vEC
  - Lyve1 # lEC
  - Pecam1
  - Cdh5
  - Cav1

plot_markers_hu:
  # dCM
  - Myocd
  # dCM3 (more mature)
  - Cox6a2
  - Ndufa5
  - Atp5j
  # dCM1 (some fibroblast characteristics)
  - Col1a2
  - Col3a1
  - Dcn
  # pCM (cell cycle)
  - Mki67
  - Cenpp
  - Kif15
  # pCM (cardiomyocyte development)
  - Gata4
  - Myocd
  # mCM
  - Actc1
  # EC2 (mitochondrial + muscle fiber)
  - Cox6a2
  - Mybpc3
  - Mhrt
  # EC1
  - Npr3
  - Tie1
  - Tie2
  # Epicardium
  - Wt1
  - Tbx18
  - Upk3b
  - Upk1b
  - Il18r1
  - Msln
  
kmer_pileup:
  kmer_size: 7
  flank_size: 75
  footprint_size: 8
  epsilon: 1.

macs_pval_thresh: 0.01
macs_extsize: 150
macs_shift: -75 
npeaks: 300000
peak_min_overlap: 0.5

num_splits: 5
train_val_ratio: 10
chrombpnet_inputlen: 2114
bin_stride: 50
folds_used:
  - 0
bias_pwm_chrom:
  cavpor3: DS562864.1
  mm10: chr19

gpu_names: 
  - "0"
  - "2"
  # - "2"
  - "4"

bias_model: /mnt/lab_data2/atwang/chrombpnet-lite/pretrained/atac.bias.2114.1000.h5

boost_url: https://boostorg.jfrog.io/artifactory/main/release/1.79.0/source/boost_1_79_0.tar.gz
boost_name: boost_1_79_0
cellspace_url: https://github.com/zakieh-tayyebi/CellSpace.git

projection_enhancer_flank: 1.e+5
n_top_markers_projection: 5

cavpor_aliases: /mnt/lab_data2/atwang/data/gp_mouse_annotations/cavPor3.chromAlias.txt

liftover_chain_to:
  cavpor3: /mnt/lab_data2/atwang/data/gp_mouse_annotations/mm10ToCavPor3.over.chain.gz
  mm10: /mnt/lab_data2/atwang/data/gp_mouse_annotations/cavPor3ToMm10.over.chain.gz

host_url_prefix: https://mitra.stanford.edu/kundaje/atwang/gp_mouse/ 

meme_db: /mnt/lab_data2/atwang/data/motif_archetypes/pfm
meme_logos: /mnt/lab_data2/atwang/data/motif_archetypes/pfm_meme_format/motifs.meme.txt

chrombpnet_export_prefix: /oak/stanford/groups/akundaje/atwang/gp_mouse_chrombpnet
folds_used_2:
  - 0
  - 1
  - 2
  - 3
  - 4